-- CREATION DATE: 12-10-2012 --
-- MODIFIED DATE: 12-10-2012 --
-- Vtg -- VludsTillerGifts
------------------------------------------------------------------------------------------------------

VtgPrefix = "|cffFFFFF0Tiller Gift for |cffFFA500"
VtgPrefixIngrediant = "|cffFFFFF0Ingrediant |cffFFA500"

local Vrg_tItems = {
	["74642"] = { 6 },	--Charbroiled Tiger Steak
	["74643"] = { 7 },	--Sauteed Carrots
	["74644"] = { 5 },	--Swirling Mist Soup
	["74645"] = { 9 },	--Eternal Blossom Fish
	["74647"] = { 1 },	--Valley Stir Fry
	["74649"] = { 8 },	--Braised Turtle
	["74651"] = { 2 },	--Shrimp Dumplings
	["74652"] = { 10 },	--Fire Spirit Salmon
	["74654"] = { 3 },	--Wildfowl Roast
	["74655"] = { 4 },	--Twin Fish Platter

	["79264"] = { 6, 10 },	--Ruby Shard
	["79265"] = { 1, 8 },	--Blue Feather
	["79266"] = { 2, 4 },	--Jade Cat
	["79267"] = { 7, 9 },	--Lovely Apple
	["79268"] = { 3, 5 },	--Marsh Lily
}

local Vrg_tIngrediant = {
	["74833"] = { 2 },	--Raw Tiger Steak	--Charbroiled Tiger Steak
	["74837"] = { 1 },	--Raw Turtle Meat	--Braised Turtle
	["74839"] = { 9, 10 },	--Wildfowl Breast	--Wildfowl Roast & Valley Stir Fry
	["74841"] = { 1, 5 },	--Juicycrunch Carrot	--Sauteed Carrots & Braised Turtle
	["74843"] = { 4 },	--Scallions	--Fire Spirit Salmon
	["74848"] = { 3 },	--Striped Melon	--Eternal Blossom Fish
	["74856"] = { 7, 3 },	--Jade Lungfish	--Swirling Mist Soup & Eternal Blossom Fish
	["74857"] = { 6 },	--Giant Mantis Shrimp	--Shrimp Dumplings
	["74859"] = { 4 },	--Emperor Salmon	--Fire Spirit Salmon
	["74864"] = { 9 },	--Reef Octopus	--Valley Stir Fry
	["74865"] = { 8 },	--Krasarang Paddlefish	--Twin Fish Platter
}

local Vrg_tNPC = {
	"Chee Chee",
	"Ella",
	"Farmer Fung",
	"Fish Fellreed",
	"Gina Mudclaw",
	"Haohan Mudclaw",
	"Jogu the Drunk",
	"Old Hillpaw",
	"Sho",
	"Tina Mudclaw",
}

local Vrg_tNPCRepIDs = {
	1277, --Chee Chee
	1275, --Ella
	1283, --Farmer Fung
	1282, --Fish Fellreed
	1281, --Gina Mudclaw
	1279, --Haohan Mudclaw
	1273, --Jogu the Drunk
	1276, --Old Hillpaw
	1278, --Sho
	1280, --Tina Mudclaw
}

local Vrg_tFood = {
	"Braised Turtle / Old Hillpaw",
	"Charbroiled Tiger Steak / Haohan Mudclaw",
	"Eternal Blossom Fish / Sho",
	"Fire Spirit Salmon / Tina Mudclaw",
	"Sauteed Carrots / Jogu the Drunk",
	"Shrimp Dumplings / Ella",
	"Swirling Mist Soup / Gina Mudclaw",
	"Twin Fish Platter / Fish Fellreed",
	"Valley Stir Fry / Chee Chee",
	"Wildfowl Roast / Farmer Fung",
}

------------------------------------------------------------------------------------------------------
-- OnTooltipSetItem
local function VtgOnTooltipSetItem(oTip, ...)
	local sName, sLink = oTip:GetItem()
	if sLink then
		local sId = sLink:match("item:(%d+)")
		if sId ~= nil then
			if Vrg_tIngrediant[sId] then
				for _, nNPC in pairs(Vrg_tIngrediant[sId]) do
					oTip:AddLine(VtgPrefixIngrediant .. Vrg_tFood[nNPC])
				end
			end
			if Vrg_tItems[sId] then
				for _, nNPC in pairs(Vrg_tItems[sId]) do
					_, nRep, nMaxRep, _, _, sReaction = GetFriendshipReputationByID(Vrg_tNPCRepIDs[nNPC])
					oTip:AddLine(VtgPrefix .. Vrg_tNPC[nNPC] .. " (" .. sReaction .. " " .. format("%i",((nRep*100)/nMaxRep)) .. "%)")
				end
				oTip:Show()
			end
		end
	end
end

function VtgTest1()
	for nInd, nId in pairs(Vrg_tNPCRepIDs) do
		_, nRep, nMaxRep, _, _, sReaction, nThreshold = GetFriendshipReputationByID(nId)
		print(Vrg_tNPC[nInd] .. " " .. sReaction .. " " .. nRep .. " " .. nMaxRep .." " .. nThreshold .. " " .. format("%i",((nRep*100)/nMaxRep)) .. "%" )
	end
end

------------------------------------------------------------------------------------------------------
-- Initialise
local function VtgInitialise()
	GameTooltip:HookScript("OnTooltipSetItem", VtgOnTooltipSetItem)
	ItemRefTooltip:HookScript("OnTooltipSetItem", VtgOnTooltipSetItem)
	ShoppingTooltip1:HookScript("OnTooltipSetItem", VtgOnTooltipSetItem)
	ShoppingTooltip2:HookScript("OnTooltipSetItem", VtgOnTooltipSetItem)
	ShoppingTooltip3:HookScript("OnTooltipSetItem", VtgOnTooltipSetItem)
end

-- Run Init
VtgInitialise()

------------------------------------------------------------------------------------------------------
